---
title: XRView.projectionMatrix
slug: Web/API/XRView/projectionMatrix
tags:
  - API
  - AR
  - Property
  - Read-only
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR DeviceAPI
  - XR
  - XRView
  - augmented
  - perspective
  - projectionMatrix
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}{{draft}}</p>

<p>The {{domxref("XRView")}} interface's read-only <code><strong>projectionMatrix</strong></code> property specifies the projection matrix to apply to the underlying view. This should be used to integrate perspective to everything in the scene, in order to ensure the result is consistent with what the eye expects to see.</p>

<div class="notecard note">
<p><strong>Important:</strong> Failure to apply proper perspective, or inconsistencies in perspective, may result in possibly serious user discomfort or distress.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>projectionMatrix</em> = <em>xrView</em>.projectionMatrix;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Float32Array")}} object representing the projection matrix for the view. The projection matrix for each eye's view is used to ensure that the correct area of the scene is presented to each eye in order to create a believable 3D scene without introducing discomfort for the user.</p>

<h2 id="Examples">Examples</h2>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrview-projectionmatrix","XRView.projectionMatrix")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRView.projectionMatrix")}}</div>
